"Undefined index: wmgExtraLanguageNames" on beta
Closed, ResolvedPublic

Description

Sometimes, maintenance scripts on Beta shrow PHP Notice: Undefined index: wmgExtraLanguageNames in /srv/mediawiki/php-master/includes/SiteConfiguration.php on line 312. It seems somewhat random whether that happens or not, e.g. foreachwiki commands seem to trigger it (T157636#3012054) but single-wiki commands not.

Tgr created this task.Feb 9 2017, 3:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2017, 3:24 AM
Tgr edited the task description. (Show Details)Feb 9 2017, 6:17 AM

Change 336747 had a related patch set uploaded (by Gergő Tisza):
Fix SiteConfiguration array merge syntax

https://gerrit.wikimedia.org/r/336747

Change 336747 merged by jenkins-bot:
Fix SiteConfiguration array merge syntax

https://gerrit.wikimedia.org/r/336747

Mentioned in SAL (#wikimedia-operations) [2017-02-22T00:20:46Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings-labs.php: SWAT: [[gerrit:336747|Fix SiteConfiguration array merge syntax]] T157656 [[gerrit:339012|Fix Sentry URL scheme on beta]] [[gerrit:339041|Fix PageViewInfo config]] T158698 (beta-only changes) (duration: 00m 39s)

Tgr closed this task as "Resolved".Feb 22 2017, 1:27 AM
Tgr claimed this task.